
Core - Bug # 27972

Status: Closed Priority: Should have
Author: Dominique Feyer Category: Default
Created: 2011-07-08 Assigned To: Dominique Feyer
Updated: 2013-06-01 Due date:
TYPO3 Version: 4.6
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: LLXML Parser does not support localized label in the main LLXML
Description

Many extension use the main LLXML file to provide default language and
others languages (fr, de, ...). The parser must support that.

This patch add this support. The priority is always given to the
language pack found in typo3conf/l10n. If a language pack is found
the localized label in the main LLXML file are not parsed.

Related issues:
related to Core - Feature # 25397: Adding XLIFF support as the default format... Closed 2011-06-24
duplicated by Core - Bug # 27950: l10n: localizations in extension llxml-file... Closed 2011-07-07

Associated revisions
Revision 5fa1711b - 2011-07-08 12:16 - Dominique Feyer

[BUGFIX] LLXML Parser does not support localized label in the main LLXML

Many extension use the main LLXML file to provide default language and
others languages (fr, de, ...). The parser must support that.

This patch add this support. The priority is always given to the
language pack found in typo3conf/l10n. If a language pack is found
the localized label in the main LLXML file are not parsed.

Change-Id: I27e2ba03679ed4cf00c23c6140d243cf6aba2256
Resolves: #27972
Reviewed-on: http://review.typo3.org/3119
Reviewed-by: Björn Pedersen
Tested-by: Björn Pedersen
Reviewed-by: Xavier Perseguers
Tested-by: Xavier Perseguers

History
#1 - 2011-07-08 10:01 - Mr. Hudson

Patch set 2 of change I27e2ba03679ed4cf00c23c6140d243cf6aba2256 has been pushed to the review server.
It is available at http://review.typo3.org/3119
#2 - 2011-07-08 12:15 - Xavier Perseguers
- Status changed from New to Resolved
- % Done changed from 0 to 100

#3 - 2012-03-07 13:33 - Xavier Perseguers
- Status changed from Resolved to Closed

#4 - 2013-06-01 14:43 - Ernesto Baschny
- Target version deleted (1281)
